Opened 4 years ago

Closed 3 years ago

#49988 closed update (fixed)

pcre @8.37_0: Update to 8.38

Reported by: sierkb@… Owned by: larryv (Lawrence Velázquez)
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc:
Port: pcre

Description (last modified by ryandesign (Ryan Schmidt))

Bump pcre port file version to 8.38.

Change History (4)

comment:1 Changed 4 years ago by ryandesign (Ryan Schmidt)

Description: modified (diff)
Owner: changed from macports-tickets@… to larryv@…
Port: pcre added
Summary: Update pcre port to 8.38pcre: Update to 8.38
Version: 2.3.4

comment:2 Changed 3 years ago by sierkb@…

While compiling a software, which is configured with: --with-pcre=/opt/local enabled, the following warning appears:

[…]
checking for libpcre installation... using /opt/local
checking pcre-config version... 8.37
checking for CVE-2015-3210... yes
configure: WARNING: The installed pcre version may contain a security bug. Please upgrade to 8.38 or later: http://www.pcre.org.
checking for pcre.h in /opt/local... checking pcre.h usability... yes
checking pcre.h presence... yes
checking for pcre.h... yes
checking for pcre_compile in -lpcre... yes
configure: Compiling and linking with libpcre from /opt/local
[…]

I know, this is just a warning. But a warning, pointing me to the fact, that there is a newer pcre available and so causing me filing this ticket. Please update the pcre portfile's version number soon, so that this compiler warning no longer is necessary.

comment:3 Changed 3 years ago by larryv (Lawrence Velázquez)

Status: newassigned
Summary: pcre: Update to 8.38pcre @8.37_0: Update to 8.38

Thanks for the ticket. Oddly, the PCRE website still says 8.37 is the latest version.

comment:4 Changed 3 years ago by larryv (Lawrence Velázquez)

Resolution: fixed
Status: assignedclosed

r143885. Sorry for the delay.

Note: See TracTickets for help on using tickets.